class Page
  
  attr_accessor :title, :description, :website
  
  @@all = []
  
  def initialize(hash)
    hash.each {|key, value| self.send(("#{key}="), value)}
    self.class.all << self
  end
    
  def self.reset_all
    @@all = []
  end
  
  def self.all
    @@all
  end
  
  def self.find(index)
    self.all[index-1]
  end
   
end